set CI_COMMIT_AUTHOR_ADD:
  # Request for GitLab to set this variable itself: https://gitlab.com/gitlab-org/gitlab/-/issues/284079
  stage: .pre
  image:
    name: alpine/git
    entrypoint: [""]
  script:
    - 'echo "CI_COMMIT_AUTHOR="$(git log --format="%aN <%aE>" -n 1 "${CI_COMMIT_SHA}")"" > CI_COMMIT_AUTHOR.env'
  artifacts:
    reports:
      dotenv: CI_COMMIT_AUTHOR.env
  rules:
    - if: '$CI_COMMIT_AUTHOR == null'


artifact:
    stage: deploy
    script:
        - echo $CI_COMMIT_AUTHOR_ADD
        - echo $GITLAB_USER_EMAIL
        - touch Release_*
        - touch Release_1
        - touch Release_2
    artifacts:
        expire_in: '10'
        paths: 
            - Release*

    
